Package org.lwjgl.opengl

# Class EXTTextureCompressionRGTC

java.lang.Object
org.lwjgl.opengl.EXTTextureCompressionRGTC

public final class EXTTextureCompressionRGTC extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_COMPRESSED_RED_GREEN_RGTC2_EXT`
Accepted by the <internalformat> parameter of TexImage2D, CopyTexImage2D, and CompressedTexImage2D and the <format> parameter of CompressedTexSubImage2D:
`static final int`
`GL_COMPRESSED_RED_RGTC1_EXT`
Accepted by the <internalformat> parameter of TexImage2D, CopyTexImage2D, and CompressedTexImage2D and the <format> parameter of CompressedTexSubImage2D:
`static final int`
`GL_COMPRESSED_SIGNED_RED_GREEN_RGTC2_EXT`
Accepted by the <internalformat> parameter of TexImage2D, CopyTexImage2D, and CompressedTexImage2D and the <format> parameter of CompressedTexSubImage2D:
`static final int`
`GL_COMPRESSED_SIGNED_RED_RGTC1_EXT`
Accepted by the <internalformat> parameter of TexImage2D, CopyTexImage2D, and CompressedTexImage2D and the <format> parameter of CompressedTexSubImage2D:

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_COMPRESSED_RED_RGTC1_EXT

public static final int GL_COMPRESSED_RED_RGTC1_EXT
Accepted by the <internalformat> parameter of TexImage2D, CopyTexImage2D, and CompressedTexImage2D and the <format> parameter of CompressedTexSubImage2D:

See Also:
  - Constant Field Values

### GL_COMPRESSED_SIGNED_RED_RGTC1_EXT

public static final int GL_COMPRESSED_SIGNED_RED_RGTC1_EXT
Accepted by the <internalformat> parameter of TexImage2D, CopyTexImage2D, and CompressedTexImage2D and the <format> parameter of CompressedTexSubImage2D:

See Also:
  - Constant Field Values

### GL_COMPRESSED_RED_GREEN_RGTC2_EXT

public static final int GL_COMPRESSED_RED_GREEN_RGTC2_EXT
Accepted by the <internalformat> parameter of TexImage2D, CopyTexImage2D, and CompressedTexImage2D and the <format> parameter of CompressedTexSubImage2D:

See Also:
  - Constant Field Values

### GL_COMPRESSED_SIGNED_RED_GREEN_RGTC2_EXT

public static final int GL_COMPRESSED_SIGNED_RED_GREEN_RGTC2_EXT
Accepted by the <internalformat> parameter of TexImage2D, CopyTexImage2D, and CompressedTexImage2D and the <format> parameter of CompressedTexSubImage2D:

See Also:
  - Constant Field Values